
#include "defs.h"
#include "node.h"

bool Node::rem_parent(uint n_id)
{
	for (Node_Parents::iterator i=parents.begin(); i != parents.end(); i++)
	{
		if ((*i)==n_id)
		{
			parents.erase(i);
			return true;
		}
	}

 return false;
}

bool Node::is_parent(uint n_id)
{
	for (Node_Parents::iterator i=parents.begin(); i != parents.end(); i++)
	{
		if ((*i)==n_id)
		{
			return true;
		}
	}

 return false;
}

//uint Node::id_cnt=1;